/**
 * CodeRabbit MCP Server
 *
 * Provides tools for interacting with CodeRabbit AI reviews on GitHub pull requests
 */
declare class CodeRabbitMCPServer {
    private server;
    private githubClient;
    constructor();
    private setupErrorHandling;
    private setupToolHandlers;
    /**
     * Validate GitHub token and connection
     */
    validateGitHubConnection(): Promise<boolean>;
    run(): Promise<void>;
}
export { CodeRabbitMCPServer };
//# sourceMappingURL=server.d.ts.map